aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMichael Buesch <m@bues.ch>2019-06-02 18:56:18 +0200
committerMichael Buesch <m@bues.ch>2019-06-02 18:56:18 +0200
commit0835c8771e50610b6d985609b8d7a2b2368ad648 (patch)
tree8a123a12f722b6a990c1275565a931aa8689dc1b
parent8c96c5a666636ebd536af8dbad4fa358f40671b3 (diff)
downloadpyprofibus-0835c8771e50610b6d985609b8d7a2b2368ad648.zip
pyprofibus-0835c8771e50610b6d985609b8d7a2b2368ad648.tar.xz
tinyfpga_bx_program: Update bootloader, if required
Signed-off-by: Michael Buesch <m@bues.ch>
-rwxr-xr-xphy_fpga/tinyfpga_bx_program.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/phy_fpga/tinyfpga_bx_program.sh b/phy_fpga/tinyfpga_bx_program.sh
index e4e00e2..ef1a774 100755
--- a/phy_fpga/tinyfpga_bx_program.sh
+++ b/phy_fpga/tinyfpga_bx_program.sh
@@ -1,2 +1,4 @@
#!/bin/sh
-exec tinyprog -p tinyfpga_bx_pyprofibusphy.bin
+set -e
+tinyprog --update-bootloader
+tinyprog --program tinyfpga_bx_pyprofibusphy.bin
bues.ch cgit interface